Page MenuHomePhabricator

eo: add helper for checking the ownable state
ClosedPublic

Authored by bu5hm4n on Jul 16 2019, 6:56 AM.

Details

Summary

if a object is ownable, then there is one free reference. If not, a
error will be printed.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jul 16 2019, 6:56 AM
bu5hm4n requested review of this revision.Jul 16 2019, 6:56 AM

I left a comment on efl_ownable in D9304.

Besides the definition of ownable, what do you think about returning Eina_Bool to notice if the given obj is ownable or not?

Maybe efl_is_ownable(const Eo *obj) would be better if it returns Eina_Bool.

bu5hm4n planned changes to this revision.Jul 17 2019, 6:08 AM

Sure.

bu5hm4n updated this revision to Diff 23421.Jul 17 2019, 6:26 AM

add return

bu5hm4n updated this revision to Diff 23425.Jul 17 2019, 6:44 AM

git add -p accident

bu5hm4n updated this revision to Diff 23427.Jul 17 2019, 6:46 AM

... git add accident

cedric accepted this revision.Jul 19 2019, 10:36 AM
This revision is now accepted and ready to land.Jul 19 2019, 10:36 AM
Closed by commit rEFLa0952b0c0159: eo: add helper for checking the ownable state (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by cedric). · Explain WhyJul 19 2019, 10:56 AM
This revision was automatically updated to reflect the committed changes.